//
//  ALShareButton.m
//  GMAlpha
//
//  Created by Mikasa on 2019/1/10.
//  Copyright © 2019 Gengmei. All rights reserved.
//

#import "ALShareButton.h"
#import <GMKit/UIColor+GMTheme.h>
#import <GMKit/GMFont.h>

@implementation ALShareButton

- (instancetype)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        
        [self setTitleColor:RGBCOLOR_HEX(0x323232) forState:UIControlStateNormal];
        self.titleLabel.font = [UIFont gmFont:13];
        self.titleLabel.textAlignment = NSTextAlignmentCenter;
    }
    return self;
}

- (CGRect)imageRectForContentRect:(CGRect)contentRect {
    
    return CGRectMake((kALShareButtonW - kShareImageWH)/2, 0, kShareImageWH, kShareImageWH);
}

- (CGRect)titleRectForContentRect:(CGRect)contentRect {
    
    return CGRectMake(0, kShareImageWH + 5, kALShareButtonW, 19);
}
@end
